package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.DeploymentModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s deployment
 *
 * @时间 2019年8月21日
 */
public interface DeploymentProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(DeploymentModel model);

    public BocloudResult remove(DeploymentModel model);

    public BocloudResult detail(DeploymentModel model);

    public BocloudResult modify(DeploymentModel model);

    public BocloudResult extendReplicas(DeploymentModel model);
}
